MAPIClientLibraries 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
fxparser.c File Reference

Fast Transfer stream parser. More...

`#include "libmapi/libmapi.h"`
`#include "libmapi/libmapi_private.h"`
`#include "libmapi/fxparser.h"`

## Functions
_PUBLIC_ struct fx_parser_context * | fxparser_init (TALLOC_CTX *mem_ctx, void *priv)
_PUBLIC_ enum MAPISTATUS | fxparser_parse (struct fx_parser_context *parser, DATA_BLOB *fxbuf)
_PUBLIC_ void | fxparser_set_delprop_callback (struct fx_parser_context *parser, fxparser_delprop_callback_t delprop_callback)
_PUBLIC_ void | fxparser_set_marker_callback (struct fx_parser_context *parser, fxparser_marker_callback_t marker_callback)
_PUBLIC_ void | fxparser_set_namedprop_callback (struct fx_parser_context *parser, fxparser_namedprop_callback_t namedprop_callback)
_PUBLIC_ void | fxparser_set_property_callback (struct fx_parser_context *parser, fxparser_property_callback_t property_callback)

## Detailed Description

Fast Transfer stream parser.

## Function Documentation

_PUBLIC_ struct fx_parser_context* fxparser_init | ( | TALLOC_CTX * | mem_ctx,
|  | void * | priv
| ) |  |
| read

initialise a fast transfer parser

_PUBLIC_ enum MAPISTATUS fxparser_parse | ( | struct fx_parser_context * | parser,
|  | DATA_BLOB * | fxbuf
| ) |  |

parse a fast transfer buffer

_PUBLIC_ void fxparser_set_delprop_callback | ( | struct fx_parser_context * | parser,
|  | fxparser_delprop_callback_t | delprop_callback
| ) |  |

set a callback function for delete properties output

_PUBLIC_ void fxparser_set_marker_callback | ( | struct fx_parser_context * | parser,
|  | fxparser_marker_callback_t | marker_callback
| ) |  |

set a callback function for marker output

_PUBLIC_ void fxparser_set_namedprop_callback | ( | struct fx_parser_context * | parser,
|  | fxparser_namedprop_callback_t | namedprop_callback
| ) |  |

set a callback function for named properties output

_PUBLIC_ void fxparser_set_property_callback | ( | struct fx_parser_context * | parser,
|  | fxparser_property_callback_t | property_callback
| ) |  |

set a callback function for property output

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/